commit:     e42f1893098bfc973c2c869cfc33e6df7d31e9fd
Author:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
AuthorDate: Tue May  8 21:44:02 2018 +0000
Commit:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
CommitDate: Tue May  8 21:44:46 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e42f1893

sys-devel/crossdev: bump up to 20180508, bug #644930

Single new patch: "disable USE=pie for all mingw targets"

Reported-by: Jernej Simoncic
Closes: https://bugs.gentoo.org/644930
Package-Manager: Portage-2.3.36, Repoman-2.3.9

 sys-devel/crossdev/Manifest                 |  1 +
 sys-devel/crossdev/crossdev-20180508.ebuild | 39 +++++++++++++++++++++++++++++
 2 files changed, 40 insertions(+)

diff --git a/sys-devel/crossdev/Manifest b/sys-devel/crossdev/Manifest
index 8d50ea350e1..b101ccfaaa7 100644
--- a/sys-devel/crossdev/Manifest
+++ b/sys-devel/crossdev/Manifest
@@ -3,3 +3,4 @@ DIST crossdev-20180105.tar.xz 23056 BLAKE2B 
66618f312b6f9492b1ccbdc7142e6b38035b
 DIST crossdev-20180120.tar.xz 23328 BLAKE2B 
a95b834f2b5c0cfad178a2795ec650c2461c6462f4aad239e55666f4503e2607410d5fb318a2fa59d01271475e6d4438ca399ad6565632610ad51ae0142ea5c0
 SHA512 
7b57f4eebec3ddf6460fb3305a124c670c79d6d4708e45314fd4e68b47bfdc9617f2dbd8c1c30af141fe43d4afc001615b1574e155fb5685c703f5e17149c3ba
 DIST crossdev-20180302.tar.xz 23368 BLAKE2B 
1bd93ca8dc1c65d1c5cbc095a84540e0a09f666674d87e56ff051900e1f3ab60a087a61734c86406d3f8160469c20e161b940ca19b1f4da318461d02d7915ac3
 SHA512 
f1b5d066851c54e84c1bb58f261655be2e5ac4c7a247831f4c45186574a306e839497b5a72cf9d603545c01b52ef3ee47b6c7c90086217268572697835fc7f1e
 DIST crossdev-20180410.tar.xz 26716 BLAKE2B 
67f47052af4299028470613900e7f1b91fd2b861cce71d2a4b40bb1bf16a7b9b8967eed18dabcca819d89cfb30cbf1253498b2ef9eab8d941a6d611d333b6d65
 SHA512 
2e70f8c01e7b1484e76dee82fb3342cbcbd60ee3458e2c6acf5b642e01be95546fe03fc00c82d59fa871aae9f5a6728f45f9f7cb4bc27c4cdf56c4fd8a93b754
+DIST crossdev-20180508.tar.xz 26728 BLAKE2B 
ab92cac544ee787ca91c794191c51faeab99e88bc2fc695c5e913e4137cc941457f5b27bf22f3b6a7991fa46ebdc2e5b4238a01425c5021fa9fc05ca23c51f49
 SHA512 
a96afeeb03747ce67a39b53b925361d07117b49316b5c657413125413d006de25249b0d3d1804c8a946c288c80beb42aa7c32362b57ac81399d26a67ceccfe04

diff --git a/sys-devel/crossdev/crossdev-20180508.ebuild 
b/sys-devel/crossdev/crossdev-20180508.ebuild
new file mode 100644
index 00000000000..d1adb4564b5
--- /dev/null
+++ b/sys-devel/crossdev/crossdev-20180508.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+if [[ ${PV} == "99999999" ]] ; then
+       inherit git-r3
+       EGIT_REPO_URI="git://anongit.gentoo.org/proj/crossdev.git"
+else
+       SRC_URI="mirror://gentoo/${P}.tar.xz
+               https://dev.gentoo.org/~slyfox/distfiles/${P}.tar.xz";
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 
~s390 ~sh ~sparc ~x86 ~x86-fbsd"
+fi
+
+DESCRIPTION="Gentoo Cross-toolchain generator"
+HOMEPAGE="https://www.gentoo.org/";
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE=""
+
+RDEPEND="
+       || (
+               >=sys-apps/portage-2.1
+               sys-apps/portage-mgorny
+       )
+       >=app-portage/portage-utils-0.55
+       app-shells/bash
+       sys-apps/gentoo-functions
+       !sys-devel/crossdev-wrappers"
+DEPEND="app-arch/xz-utils"
+
+src_install() {
+       default
+
+       if [[ "${PV}" == "99999999" ]] ; then
+               sed -i "s:@CDEVPV@:${EGIT_VERSION}:" "${ED%/}"/usr/bin/crossdev 
|| die
+       fi
+}

Reply via email to